Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413017 - Gnome tweak Desktop settings are ignored
Summary: Gnome tweak Desktop settings are ignored
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool
Version: 25
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 12:20 UTC by GeorgeKafa
Modified: 2017-12-12 10:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:05:43 UTC
Type: Bug


Attachments (Terms of Use)

Description GeorgeKafa 2017-01-13 12:20:37 UTC
Description of problem: Gnome tweak Desktop and default extension settings are ignored and my session is "X11" and not wayland.

Version-Release number of selected component (if applicable):
GNOME Shell 3.22.2

How reproducible: I was able to reproduce it in two Fedora boxes

Steps to Reproduce:
1. Login in Gnome Classic or Login in Gnome xOrg
2. Logout 
3. Login to Gnome

Actual results:
Icons on Desktop are shown.
Applications menu is showing.
"$loginctl show-session 2 -p Type" returns "Type=x11"

Expected results:
Icons on Desktop should not show.
Applications menu should not show.
"$loginctl show-session 2 -p Type" should return "Type=wayland"


Additional info:
Login in Gnome (not in Gnome Classic or Gnome xOrg).
I was expecting wayland but I am stuck in X11.
$loginctl show-session 2 -p Type
Type=x11

Deleting the user's home directory and recreating the home directory resets the gnome desktop and settings.

Comment 1 Fedora End Of Life 2017-11-16 19:00:07 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:05:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.